Bug 992895 - xdg-utils: FTBFS in rawhide
xdg-utils: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xdg-utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 02:46 EDT by Dennis Gilmore
Modified: 2013-08-05 08:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-05 08:01:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 02:46:30 EDT
Your package xdg-utils failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5757222

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/7222/5757222/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/7222/5757222/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/7222/5757222/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Rex Dieter 2013-08-05 07:58:49 EDT
xmlto failure,

/usr/bin/xmlto txt desc/xdg-desktop-icon.xml
No way to convert HTML to text found.
Try either installing text web browser(lynx/w3m/links) or use option --with-fop
No way to convert HTML to text found.

Arg, according to xmlto changelog:

* Tue Apr 09 2013 Ondrej Vasik <ovasik@redhat.com> - 0.0.25-6
- drop hard requirement for text-www-browser (any package that
  needs docbook->txt for build  may buildrequire any of
  w3m/lynx/elinks as suggested by script)


OK, need to add deps.  Would've been nice to have been notified of such change ahead-of-time. :-/
Comment 2 Rex Dieter 2013-08-05 08:01:24 EDT
%changelog
* Mon Aug 05 2013 Rex Dieter <rdieter@fedoraproject.org> 1.1.0-0.17.20120809git
- BR: text-www-browser (#992895)

Note You need to log in before you can comment on or make changes to this bug.